
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'printos/version'

Gem::Specification.new do |spec|
  spec.name          = 'printos'
  spec.version       = Printos::VERSION
  spec.authors       = %w('Dalmir da Silva' 'Marlon Lopes')
  spec.email         = %w(dalmirsilva@hp.com marlon.lopes@hp.com)

  spec.summary       = %q{PrintOS gem that wraps the API.}
  spec.description   = %q{PrintOS gem that wraps the API.}
  spec.homepage      = 'https://github.com/IPGPTP/printos'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.7.0'
  spec.add_development_dependency 'simplecov', '~> 0.15.1'

  spec.add_development_dependency 'rspec-rails', '~> 3.7.0'
  spec.add_development_dependency 'actionpack', '~> 4.2.7'
  spec.add_development_dependency 'activesupport', '~> 4.2.7'

  spec.add_development_dependency 'pivotal_git_scripts', '~> 1.4.0'

  spec.add_runtime_dependency 'request_store', '~> 1.3.2'
  spec.add_runtime_dependency 'rest-client', '~> 2.0.2'
end
